package comparatori.videogioco;

import java.util.Comparator;

public class ComparatorVideogioco3 implements Comparator<Videogioco> {
	
	/**
	 * Prima ordina per piattaforma alfabetica.
	 * Se la piattaforma è uguale, per anno 
	 * di uscita crescente 
	 * se l'anno è uguale, allora per titolo alfabetico
	 */
	@Override
	public int compare(Videogioco v1, Videogioco v2) {
		int cmp = v1.piattaforma().compareTo(v2.piattaforma());
		if (cmp != 0) return cmp;
		cmp = v1.annoUscita() - v2.annoUscita();
		if (cmp != 0) return cmp;
		return v1.titolo().compareTo(v2.titolo());
	}
	
}
